<?xml version="1.0" encoding="ISO-8859-1" ?>
<customization>
  <registry>
    <!-- Do the following at Master reset all -->
    <master-reset-all parse-mask="a">
      <!-- Clear all dynamic content on the offline page -->
      <file-op op="purgedir" dest="/tpa/preset/system/wap/opmenu/script"/>
      <!-- Remove cache file -->
      <file-op op="purgedir" dest="/tpa/system/wap/cache"/>
      <!-- Remove authentication file -->
      <file-op op="delete" dest="/tpa/system/wap/Authentication.bin"/>
      <!-- Remove cookie file -->
      <file-op op="delete" dest="/tpa/system/wap/Cookies.bin"/>
      <!-- Remove footprint file -->
      <file-op op="delete" dest="/tpa/system/wap/Footprint.bin"/>
      <!-- Remove URL History file -->
      <file-op op="delete" dest="/tpa/system/wap/URL_Hist.bin"/>
      <!-- Remove Search History -->
      <file-op op="delete" dest="/tpa/system/wap/SearchHistory.txt"/>
    </master-reset-all>

    <browser>
      <settings reg-path="/apps/browser/internal">
        <!--  Key: http-connect-timeout   Constant: BRS_HTTP_CONNECT_TIMEOUT_SET_INT -->
        <!--  The http connection timeout in seconds, also called fHTTPConnectTimeout and T2 -->
        <!--  Type: unsigned int, Max value: MAXINT? -->
        <!--  Customizable: No, GUI: No -->
        <http-connect-timeout type="uint">30</http-connect-timeout>
        <!--  Key: http-keepalive-timeout   Constant: BRS_HTTP_KEEPALIVE_TIMEOUT_SET_INT -->
        <!--  The HTTP keep-alive timeout, in seconds, also called fHTTPKeepAliveTimeout. -->
        <!--  Type: unsigned int, Max value: MAXINT? -->
        <!--  Customizable: No, GUI: No -->
        <http-keepalive-timeout type="uint">90</http-keepalive-timeout>
        <!--  Key: file-cache   Constant:  BRS_INTERNAL_CACHE_FILE_SIZE -->
        <!--  The size of the browser cache stored in the file system -->
        <!--  Type: unsigned int, Max value: 2048000 -->
        <!--  Customizable: No, GUI: No -->
        <file-cache type="uint">2048000</file-cache>
        <!--  Key: ram-cache   Constant: BRS_INTERNAL_CACHE_RAM_SIZE -->
        <!--  The size of the browser cache stored in RAM -->
        <!--  Type: unsigned int, Max value: 512000 -->
        <!--  Customizable: No, GUI: No -->
        <ram-cache type="uint">307200</ram-cache>
        <!--  Key: vss-cache   Constant: BRS_INTERNAL_VSS_SIZE -->
        <!--  The size of the browser VSS cache stored in the file system -->
        <!--  This functionality is vodafone specific, the size of this will -->
        <!--  be subtracted from the normal file cache. -->
        <!--  Type: unsigned int, Max value: 1024000 -->
        <!--  Customizable: No, GUI: No -->
        <vss-cache type="uint">1024000</vss-cache>
        <!--  Key: history-size    Constant: BRS_INTERNAL_HISTORY_SIZE -->
        <!--  The number of entries in the browser history stack (back/forward) -->
        <!--  Type: unsigned int, Max value: 20 -->
        <!--  Customizable: No, GUI: No -->
        <history-size type="uint">20</history-size>
        <!--  Key: footprint-history-size   Constant: BRS_INTERNAL_FOOTPRINT_HISTORY_SIZE -->
        <!--  The number of pages in the footprint history -->
        <!--  Type: unsigned int, Max value: 300 -->
        <!--  Customizable: No, GUI: No -->
        <footprint-history-size type="uint">300</footprint-history-size>
        <!--  Key: browser-clear-on-exit   Constant: BRS_INTERNAL_CLEAR_ON_EXIT -->
        <!--  Clears browser cache, and history on exit (used for imode) -->
        <!--  Type: unsigned int, value: 0, 1 -->
        <!--  Should have default value of 0 and be customizable for imode. -->
        <!--  Customizable: Yes, GUI: No -->
        <clear-on-exit type="uint">0</clear-on-exit>
        <!--  Key: close-session-dialogue   Constant: BROWSER_INTERNAL_CLOSE_SESSION_DIALOG  -->
        <!--  Ask if the session shall be closed before closing: false = Don't ask, true = Ask  -->
        <!--  Type: unsigned int, Value: 0, 1  -->
        <!--  Customizable: Yes, GUI: No  -->
        <close-session-dialog type="uint">0</close-session-dialog>
        <!--  Key: text-wrap   Constant: BRS_INTERNAL_WRAP_TEXT -->
        <!--  Sets if the text shall be wrapped on the browser display: false = Don't wrap, true = Wrap -->
        <!--  Should have default value of 0 and be customizable for imode. -->
        <!--  Type: unsigned int, Value: 0, 1  -->
        <!--  Customizable: Yes, GUI: No -->
        <text-wrap type="uint">0</text-wrap>
        <!--  Key: connection-alert-dialog   Constant: BRS_INTERNAL_CONNECTION_ALERT_DIALOG  -->
        <!--  Ask if a connection shall be established: false = Don't ask, true = Ask  -->
        <!--  Type: unsigned int, Value: 0, 1  -->
        <!--  Customizable: Yes, GUI: No  -->
        <connection-alert-dialog type="uint">0</connection-alert-dialog>
        <!--  Key: javascript-enabled   Constant: BRS_INTERNAL_JAVASCRIPT_ENABLED  -->
        <!--  Sets if javascript will be able to run at all or not  -->
        <!--  Type: unsigned int, Value: 0, 1  -->
        <!--  Customizable: Yes, GUI: No  -->
        <javascript-enabled type="uint">1</javascript-enabled>
        <!--  Key: query-start-script   Constant: BRS_INTERNAL_QUERYSTARTSCRIPT  -->
        <!--  Sets if we want notification when a javascript is about to run  -->
        <!--  Type: unsigned int, Value: 0, 1  -->
        <!--  Customizable: Yes, GUI: No  -->
        <query-start-script type="uint">1</query-start-script>

      </settings>
      <settings reg-path="/apps/browser/internal/tuning">
        <!--  Key: minimum-heap   Constant: BRS_INTERNAL_MINIMUM_HEAP_SIZE -->
        <!--  This is the minimum required memory for the browser to start. If available -->
        <!--  memory is lower than this value the browser will show an error message -->
        <minimum-heap type="uint">3072000</minimum-heap>
        <!--  Key: heap-alloc-limit   Constant: BRS_INTERNAL_HEAP_ALLOC_LIMIT -->
        <!--  The browser will use this to check if the rendering / downloading shoudl be aborted -->
        <!--  The user will get a message "page to large to show" -->
        <heap-alloc-limit type="uint">1536000</heap-alloc-limit>
        <!--  Key: image-decoders   Constant:  -->
        <!--  The number of parallell image decoders used by the netfron when rendering a page -->
        <image-decoders type="uint">1</image-decoders>
        <!--  Key: stay-parser   Constant:  -->
        <!--  Used by NetFront when rendering a page -->
        <stay-parser type="uint">150</stay-parser>
        <!--  Key: stay-pagemaker   Constant:  -->
        <!--  Used by NetFront when rendering a page -->
        <stay-pagemaker type="uint">250</stay-pagemaker>
        <!--  Key: stay-editorfg   Constant:  -->
        <!--  Used by NetFront when rendering a page -->
        <stay-editor-fg type="uint">200</stay-editor-fg>
        <!--  Key: stay-editorbg   Constant:  -->
        <!--  Used by NetFront when rendering a page -->
        <stay-editor-bg type="uint">100</stay-editor-bg>
      </settings>
      <settings reg-path="/apps/browser/internal/debug">
        <!--  Key: save-loadtimes   Constant: - -->
        <!--  The browser will save load times of pages to a file -->
        <save-loadtimes type="uint">0</save-loadtimes>
        <!--  Key: show-loadtime   Constant: - -->
        <!--  The browser will show a dialog with the load time of the current page -->
        <show-loadtime type="uint">0</show-loadtime>
      </settings>
    </browser>
  </registry>
</customization>
